# Dadou - 2.2.1-3mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdeadmin
%define lib_major 1
%define lib_name %lib_name_orig%lib_major


Name:		kdeadmin
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Adminstrative Tools
Version:    3.1.3
Release:    9mdk
URL:		http://www.kde.org/
Epoch:		2
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:     %name-%version.tar.bz2
Source1:	kpackage.pamd
Patch1:		kdeadmin-2.2-ksysv-mdk-config.diff.bz2
Patch2:		kdeadmin-2.2.1-rpmdep.patch.bz2
# Laurent 3.0.2-3mdk patch for ix64!
Patch3:     kde-lib64updates.patch.bz2

# Laurent 3.0.2-4mdk fix kdat use kintnuminput.
Patch4:		kdeadmin-3.0.2-kdat-use-kintinput.patch.bz2

# Laurent - 3.0.3-2mdk fix kpackage mem leak
Patch5:		kdeadmin-3.0.3-fix-mem-leak-in-kpackage.patch.bz2

# Laurent - 3.0.3-3mdk fix ksysv mem leak
Patch6:		kdeadmin-3.0.3-fix-ksysv-mem-leak.patch.bz2

# Laurent - 3.0.3-4mdk fix kpackage mem leak
Patch7:		kdeadmin-3.0.3-fix-kpackage-mem-leak.patch.bz2

# Laurent - 3.0.3-5mdk fix kcron mem leak
Patch8:		kdeadmin-3.0.3-fix-kcron-mem-leak.patch.bz2

# Laurent - 3.0.3-6mdk fix kdat mem leak
Patch9:		kdeadmin-3.0.3-kdat-fix-mem-leak.patch.bz2

# Laurent - 3.0.3-7mdk fix kwuftpd mem leak
Patch10:	kdeadmin-3.0.3-fix-kwuftpd-mem-leak.patch.bz2

# Laurent - 3.0.3-8mdk fix bug #45142
Patch11:	kdeadmin-3.0.3-fix-kwuftpd-fix-bug-45142.patch.bz2

# Laurent - 3.0.3-9mdk - fix launch rpmdrake in first
Patch12:	kdeadmin-3.0.3-remove-initial-preference.patch.bz2

# Laurent - 3.0.3-10mdk fix kpakcage crahs
Patch13:	kdeadmin-fix-kpackage-crash.patch.bz2

# Laurent - 3.1rc3-3mdk : fix disable lilo conf when we are not root user
Patch14:	kcm-lilo-disable.patch.bz2

# Laurent - 3.1-rc6-4mdk : fix signal in kxconfig
# Remove for final
Patch15:	kdeadmin-3.1-kxconfig-patch.bz2

Patch16:	kdeadmin-3.1.1-fix-TEPty.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL

Obsoletes:	kdeadmin3
Provides:	kdeadmin3


Requires:	pciutils
Requires:	%lib_name = 2:%version-%release


%if !%buildfor9_2
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake db1 diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext kdelibs-devel Mesa-common libbinutils2
BuildRequires:  libbzip2_1-devel  libintl2 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:  libpng3-devel libqt3-devel libstdc++
BuildRequires:  libtermcap2 m4 mktemp perl popt rpm-build rpm-devel texinfo zlib1-devel
%else
BuildRequires:  XFree86-devel 
BuildRequires:  freetype2-devel 
BuildRequires:  kdelibs-devel
BuildRequires:  bzip2-devel jpeg-devel lcms-devel mng-devel
BuildRequires:  png-devel qt3-devel  
BuildRequires:  rpm-devel libz-devel
%endif

%description
The kdeadmin package contains packages that usually only a system
administrator might need:
	- kcmlinuz
    	Linux Kernel configurator
	- kcron
    	Editor for the cron command scheduler.
	- kdat
   		Tape backup tool.
	- kfile-plugins
    	Make Konquerer display additional info on about *.dep and *.rpm files.
	- ksysv
    	An editor for System V startup schemes.
	- kuser
   		An user manager.
	- kwuftpd
   		Front end to the wu-ftpd FTP daemon.
	- lilo-config
    	A plugin for KControl to manage the Linux boot loader LILO.
	- secpolicy
    	A program to display PAM security policies.

%package -n kdeadmin-kpackage
Group:      Graphical desktop/KDE
Summary:    Manager for DEB, RPM.
Requires:   kdeadmin = 2:%version-%release
Obsoletes:  kpackage 
Provides:   kpackage

%description -n kdeadmin-kpackage
Manager for DEB, RPM and similar software packages.


%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Libraries for kdeadmin
Provides:   %lib_name_orig = 2:%version-%release
Conflicts:	kdeadmin <= 3.1-8mdk


%description -n %lib_name
Libraries for the K Desktop Environment.


%prep


%setup -q
#%patch1	-p1
#%patch2 -p1 -b .rpmdep
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7	-p1
#%patch8 -p1
#%patch9 -p1
#%patch10 -p1
#%patch11 -p1
#%patch12 -p1
#%patch13 -p1

#%patch14 -p1
%patch15 -p1
%patch16 -p1

%build

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

# update config.{sub,guess} scripts
%{?__cputoolize: %{__cputoolize}}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
                    --enable-shared \
                    --disable-objprelink \
                    --disable-xinerama \
                    --disable-static \
					--enable-final \
                    --disable-rpath \
                    --with-rpm \
                    --with-pam=kde \
                    --with-shadow \
                    --with-quota \
                    --with-nis \
                    --with-homeprefix=/home \
                    --with-private-groups


%make


%install
rm -fr %buildroot
# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create LMDK menu directory
install -d %buildroot/%_menudir/


# %%_datadir/applnk/Settings/System
kdedesktop2mdkmenu.pl kdeadmin Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/linuz.desktop %buildroot/%_menudir/kdeadmin-klinuz kde
%ifnarch ppc
kdedesktop2mdkmenu.pl kdeadmin Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/lilo.desktop %buildroot/%_menudir/kdeadmin-lilo kde
%endif

# %%_datadir/applnk/Settings/System
#kdedesktop2mdkmenu.pl kdeadmin Configuration/KDE/Peripherals %buildroot/%_datadir/applnk/Settings/Peripherals/kxconfig.desktop %buildroot/%_menudir/kdeadmin-kxconfig kde


# %%_datadir/applnk/System
kdedesktop2mdkmenu.pl kdeadmin Configuration/Other %buildroot/%_datadir/applnk/System/kcron.desktop %buildroot/%_menudir/kdeadmin-kcron
kdedesktop2mdkmenu.pl kdeadmin-kpackage Configuration/Packaging %buildroot/%_datadir/applnk/System/kpackage.desktop %buildroot/%_menudir/kdeadmin-kpackage
kdedesktop2mdkmenu.pl kdeadmin "Configuration/Boot and Init" %buildroot/%_datadir/applnk/System/ksysv.desktop %buildroot/%_menudir/kdeadmin-ksysv
kdedesktop2mdkmenu.pl kdeadmin Configuration/Other %buildroot/%_datadir/applnk/System/kuser.desktop %buildroot/%_menudir/kdeadmin-kuser

#kdedesktop2mdkmenu.pl kdeadmin Configuration/Other %buildroot/%_datadir/applnk/System/More/kwuftpd.desktop %buildroot/%_menudir/kdeadmin-kwuftpd

kdedesktop2mdkmenu.pl kdeadmin Configuration/Other %buildroot/%_datadir/applnk/System/More/kdat.desktop %buildroot/%_menudir/kdeadmin-kdat


# Install kdebase pam configuration file
install -d %buildroot/%_sysconfdir/pam.d
install -m644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kpackage

rm -rf %buildroot/%_bindir/kxconfig
rm -rf %buildroot/%_docdir/HTML/en/kxconfig/
rm -rf %buildroot/%_datadir/apps/kxconfig/
rm -rf %buildroot/%_datadir/applnk/Settings/Peripherals/


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post -n kdeadmin-kpackage
/sbin/ldconfig
%update_menus

%postun -n kdeadmin-kpackage
/sbin/ldconfig
%clean_menus


%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kcron/
%doc %_docdir/HTML/en/kcron/common
%doc %_docdir/HTML/en/kcron/*.docbook
%doc %_docdir/HTML/en/kcron/*.png
%doc %_docdir/HTML/en/kcron/*.bz2
#
#
#
#
%dir %_docdir/HTML/en/ksysv/
%doc %_docdir/HTML/en/ksysv/common
%doc %_docdir/HTML/en/ksysv/*.docbook
%doc %_docdir/HTML/en/ksysv/*.bz2
#
#
%dir %_docdir/HTML/en/kuser/
%doc %_docdir/HTML/en/kuser/common
%doc %_docdir/HTML/en/kuser/*.docbook
%doc %_docdir/HTML/en/kuser/*.bz2
%doc %_docdir/HTML/en/kuser/*.png
#
#
%dir %_docdir/HTML/en/kwuftpd/
%doc %_docdir/HTML/en/kwuftpd/common
%doc %_docdir/HTML/en/kwuftpd/*.docbook
%doc %_docdir/HTML/en/kwuftpd/*.png
%doc %_docdir/HTML/en/kwuftpd/*.bz2
#
%dir %_docdir/HTML/en/kdat/
%doc %_docdir/HTML/en/kdat/*.bz2
%doc %_docdir/HTML/en/kdat/*.docbook
%doc %_docdir/HTML/en/kdat/common
#


#
%_bindir/kcron
#%_bindir/kpackage
%_bindir/ksysv
%_bindir/kuser
#%_bindir/kwuftpd
%_bindir/secpolicy
%_bindir/kdat
#%_bindir/kxconfig
#
#
#
%dir %_menudir/
%_menudir/kdeadmin-kcron  
%_menudir/kdeadmin-klinuz    
%_menudir/kdeadmin-ksysv  
#%_menudir/kdeadmin-kwuftpd
%_menudir/kdeadmin-kdat   
#%_menudir/kdeadmin-kpackage  
%_menudir/kdeadmin-kuser  
%ifnarch ppc
%_menudir/kdeadmin-lilo
%endif
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/System/
%_datadir/applnk/Settings/System/*.desktop
#
%dir %_datadir/applnk/System/
%_datadir/applnk/System/kdat.desktop      
%_datadir/applnk/System/ksysv.desktop
#%_datadir/applnk/System/kwuftpd.desktop
%_datadir/applnk/System/kcron.desktop  
#%_datadir/applnk/System/kpackage.desktop  
%_datadir/applnk/System/kuser.desktop


%dir %_datadir/applnk/System/More
%_datadir/applnk/System/More/*.desktop

#
#%dir %_datadir/applnk/Settings/Peripherals/
#%_datadir/applnk/Settings/Peripherals/*.desktop
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*.desktop
#
%dir %_datadir/apps/
%dir %_datadir/apps/kcmlinuz/
%dir %_datadir/apps/kcmlinuz/data/
%_datadir/apps/kcmlinuz/data/*.css
%_datadir/apps/kcmlinuz/data/*.png
%_datadir/apps/kcmlinuz/data/*.html
#
#
#
%dir %_datadir/apps/ksysv/
%_datadir/apps/ksysv/*.rc
#
%dir %_datadir/apps/ksysv/pics/
%_datadir/apps/ksysv/pics/*.png
#
#
%dir %_datadir/apps/kuser/
%_datadir/apps/kuser/*.rc
#
%dir %_datadir/apps/kuser/icons/
%dir %_datadir/apps/kuser/icons/crystalsvg/
%dir %_datadir/apps/kuser/icons/crystalsvg/22x22/
%dir %_datadir/apps/kuser/icons/crystalsvg/22x22/actions/
%_datadir/apps/kuser/icons/crystalsvg/22x22/actions/*.png

#
%dir %_datadir/apps/kuser/pics/
%_datadir/apps/kuser/pics/*.png
#
%dir %_datadir/apps/kdat/
%dir %_datadir/apps/kdat/icons/
%dir %_datadir/apps/kdat/icons/crystalsvg/
%dir %_datadir/apps/kdat/icons/crystalsvg/16x16/
%dir %_datadir/apps/kdat/icons/crystalsvg/16x16/apps/
%_datadir/apps/kdat/icons/crystalsvg/16x16/apps/*.png

%dir %_datadir/apps/kdat/icons/crystalsvg/32x32/
%dir %_datadir/apps/kdat/icons/crystalsvg/32x32/apps/
%_datadir/apps/kdat/icons/crystalsvg/32x32/apps/*.png

%dir %_datadir/apps/kdat/icons/crystalsvg/48x48/
%dir %_datadir/apps/kdat/icons/crystalsvg/48x48/apps/
%_datadir/apps/kdat/icons/crystalsvg/48x48/apps/*.png


%dir %_datadir/apps/kdat/icons/locolor/
%dir %_datadir/apps/kdat/icons/locolor/16x16/
%dir %_datadir/apps/kdat/icons/locolor/16x16/apps/
%_datadir/apps/kdat/icons/locolor/16x16/apps/*.png

%dir %_datadir/apps/kdat/icons/locolor/32x32/
%dir %_datadir/apps/kdat/icons/locolor/32x32/apps/
%_datadir/apps/kdat/icons/locolor/32x32/apps/*.png



#

#%dir %_datadir/apps/kxconfig/
#%_datadir/apps/kxconfig/XF86Config-4*
#%dir %_datadir/apps/kxconfig/hwdata/
#%_datadir/apps/kxconfig/hwdata/*
#%dir %_datadir/apps/kxconfig/pics/
#%_datadir/apps/kxconfig/pics/*.png


#
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/128x128
%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/*.png

%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png



%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png



%dir %_iconsdir/crystalsvg/32x32/

%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png

%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png

%dir %_iconsdir/crystalsvg/64x64/
%dir %_iconsdir/crystalsvg/64x64/apps/
%_iconsdir/crystalsvg/64x64/apps/*.png


%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png

%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png

#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
%dir %_datadir/mimelnk/text/
%_datadir/mimelnk/text/*.desktop

%dir %_datadir/services/
%_datadir/services/*.desktop


%files -n kdeadmin-kpackage
%defattr(-,root,root)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kpackage

%dir %_docdir/HTML/en/kpackage/
%doc %_docdir/HTML/en/kpackage/common
%doc %_docdir/HTML/en/kpackage/*.docbook
%doc %_docdir/HTML/en/kpackage/*.bz2

%_bindir/kpackage

%dir %_datadir/apps/kpackage/
%dir %_datadir/apps/kpackage/kpackageui.rc
#
%dir %_datadir/apps/kpackage/pics/
%_datadir/apps/kpackage/pics/*.png

#
%dir %_datadir/apps/kpackage/toolbar/
%_datadir/apps/kpackage/toolbar/*.xpm

%dir %_datadir/applnk/System/
%_datadir/applnk/System/kpackage.desktop

%dir %_menudir/
%_menudir/kdeadmin-kpackage


%files -n %lib_name
%defattr(-,root,root)
%_libdir/kde3/kcm_linuz.la

%ifnarch ppc
%_libdir/kde3/kcm_lilo.la
%_libdir/kde3/kcm_lilo.so
%endif
#
#
%_libdir/kde3/kcm_linuz.so
#
%_libdir/kde3/kfile_*.la
%_libdir/kde3/kfile_*.so


%changelog
* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Fix upgrade

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix requires

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Fix build

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Fix build

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix requires/provides/obsolete

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Remove libqt3 requires

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix requires

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix requires

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3-1mdk
- 3

* Thu Jul 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Libification

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Rebuild

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- fix spec file

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Rebuild

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Add patch16: patch from gbeauchesne@mandrakesoft.com  Handle biarch struct utmp in TEPty::makePty()

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code ( fix kcmlilo)

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix compile under ppc

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code fix kcmlinuz

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix

* Sat Feb 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Fix description

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Remove kxconfig programm

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Split package create kpackage package

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Fix kxconfig signal

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Integrate patch from Gwenole :" Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Thu Dec 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch17 : fix kcm lilo config changed 

* Thu Dec 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix kpackage compile with qt-3.1.1

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Mon Dec 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.3mdk
- Add patch14 : disable lilo conf when we are not in root user

* Fri Nov 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Add missing file

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Rebuild

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix conflict

* Wed Oct 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.4mdk
- Fix spec file for ppc : don't add kcmlilo.* 

* Thu Oct 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Add patch from Stew Benedict <sbenedict@mandrakesoft.com>
=> don't create lilo menu entry on ppc

* Wed Oct 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Add missing file

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.1mdk
- beta2

* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Add patch13 : fix kpackage crash

* Sun Sep 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Add patch12 : launch rpmdrake and not kpackage when we click on rpm
into konqueror

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch11 : fix kwftpd bug #45142

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch10 : fix kwuftpd mem leak

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch9 : fix kdat mem leak

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch8 : fix kcron mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch7 : fix kpackage mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch6 : fix ksysv mem leak

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch5 : fix kpackage mem leak

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against new gcc-3.2
- Disable debuggage

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Add patch4 : fix kdat use kintinput widget.

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2
- Add patch3 : fix compile on ix64

* Sun Jul 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Fix build requires

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Rebuild against libstdc++

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix provides/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix menu.

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdemultimedia

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.2mdk
- RC3

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2
- Remove static package

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file 

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0 try

